diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/src/core/model/math.h ns-3.31/src/core/model/math.h
--- ns-3.30.1/src/core/model/math.h	2019-08-12 16:30:34.000000000 -0700
+++ ns-3.31/src/core/model/math.h	2020-06-27 17:38:30.000000000 -0700
@@ -18,7 +18,7 @@
  * Christoph Moench-Tegeder <cmt@burggraben.net>
  */
 
-// It is recommended to include this header instead of <math.h> or 
+// It is recommended to include this header instead of <math.h> or
 // <cmath> whenever the log2(x) function is needed.  See bug 1467.
 
 #ifndef MATH_H
@@ -34,10 +34,10 @@
 
 #ifdef __FreeBSD__
 
-#if __FreeBSD_version <= 704101 ||				 \
-  (__FreeBSD_version >= 800000 && __FreeBSD_version < 802502) || \
-  (__FreeBSD_version >= 900000 && __FreeBSD_version < 900027)
-#define log2(x) (std::log(x) / M_LN2)
+#if __FreeBSD_version <= 704101                                     \
+  || (__FreeBSD_version >= 800000 && __FreeBSD_version < 802502)    \
+  || (__FreeBSD_version >= 900000 && __FreeBSD_version < 900027)
+#define log2(x) (std::log (x) / M_LN2)
 #endif /* __FreeBSD_version */
 
 #endif /* __FreeBSD__ */
diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/src/core/model/names.cc ns-3.31/src/core/model/names.cc
--- ns-3.30.1/src/core/model/names.cc	2019-08-12 16:30:34.000000000 -0700
+++ ns-3.31/src/core/model/names.cc	2020-06-27 17:38:30.000000000 -0700
@@ -81,8 +81,7 @@
 
 NameNode::NameNode ()
   : m_parent (0), m_name (""), m_object (0)
-{
-}
+{}
 
 NameNode::NameNode (const NameNode &nameNode)
 {
@@ -124,9 +123,9 @@
   NamesPriv ();
   /** Destructor. */
   ~NamesPriv ();
-  
+
   // Doxygen \copydoc bug: won't copy these docs, so we repeat them.
-  
+
   /**
    * Internal implementation for Names::Add(std::string,Ptr<Object>)
    *
@@ -250,15 +249,14 @@
   Ptr<Object> Find (Ptr<Object> context, std::string name);
 
 private:
-  friend class Names;
-
+  
   /**
    * Check if an object has a name.
    *
    * \param [in] object The object to check.
    * \returns The corresponding NameNode, if it exists.
    */
-  NameNode *IsNamed (Ptr<Object> object);
+  NameNode * IsNamed (Ptr<Object> object);
   /**
    * Check if a name already exists as a child of a NameNode.
    *
@@ -319,7 +317,7 @@
   NS_LOG_FUNCTION (this << name << object);
   //
   // This is the simple, easy to use version of Add, so we want it to be flexible.
-  // We don't want to force a user to always type the fully qualified namespace 
+  // We don't want to force a user to always type the fully qualified namespace
   // name, so we allow the namespace name to be omitted.  For example, calling
   // Add ("Client/ath0", obj) should result in exactly the same behavior as
   // Add ("/Names/Client/ath0", obj).  Calling Add ("Client", obj) should have
@@ -351,8 +349,8 @@
     }
 
   //
-  // There must now be a fully qualified path in the string.  All fully 
-  // qualified names begin with "/Names".  We have to split off the final 
+  // There must now be a fully qualified path in the string.  All fully
+  // qualified names begin with "/Names".  We have to split off the final
   // segment which will become the name of the object.  A '/' that
   // separates the path from the final segment had better be there since
   // we just made sure that at least the namespace name was there.
@@ -426,19 +424,19 @@
 {
   NS_LOG_FUNCTION (this << oldpath << newname);
   //
-  // This is the simple, easy to use version of Rename, so we want it to be 
-  // flexible.   We don't want to force a user to always type the fully 
+  // This is the simple, easy to use version of Rename, so we want it to be
+  // flexible.   We don't want to force a user to always type the fully
   // qualified namespace name, so we allow the namespace name to be omitted.
-  // For example, calling Rename ("Client/ath0", "eth0") should result in 
+  // For example, calling Rename ("Client/ath0", "eth0") should result in
   // exactly the same behavior as Rename ("/Names/Client/ath0", "eth0").
-  // Calling Rename ("Client", "Router") should have the same effect as 
+  // Calling Rename ("Client", "Router") should have the same effect as
   // Rename ("Names/Client", "Router")
   //
   // The first thing to do, then, is to "canonicalize" the input string to always
   // be a fully qualified path.
   //
   // If we are given a name that begins with "/Names/" we assume that this is a
-  // fully qualified path to the object we want to change.  We split the path into 
+  // fully qualified path to the object we want to change.  We split the path into
   // path string (cf directory) and a final segment (cf filename) and then call
   // the "Real" Rename.
   //
@@ -461,8 +459,8 @@
     }
 
   //
-  // There must now be a fully qualified path in the oldpath string.  All 
-  // fully qualified names begin with "/Names".  We have to split off the final 
+  // There must now be a fully qualified path in the oldpath string.  All
+  // fully qualified names begin with "/Names".  We have to split off the final
   // segment which will become the name we want to rename.  A '/' that
   // separates the path from the final segment (name) had better be there since
   // we just made sure that at least the namespace name was there.
@@ -596,14 +594,14 @@
   // This is hooked in from simple, easy to use version of Find, so we want it
   // to be flexible.
   //
-  // If we are provided a path that doesn't begin with "/Names", we assume 
+  // If we are provided a path that doesn't begin with "/Names", we assume
   // that the caller has simply given us a path starting with a name that
   // is in the root namespace.  This allows people to omit the "/Names" prefix.
   // and simply do a Find ("Client/eth0") instead of having to always do a
   // Find ("/Names/Client/eth0");
   //
   // So, if we are given a name that begins with "/Names/" the upshot is that we
-  // just remove that prefix and treat the rest of the string as starting with a 
+  // just remove that prefix and treat the rest of the string as starting with a
   // name in the root namespace.
   //
 
@@ -627,7 +625,7 @@
 
   //
   // The string <remaining> is now composed entirely of path segments in
-  // the /Names name space and we have eaten the leading slash. e.g., 
+  // the /Names name space and we have eaten the leading slash. e.g.,
   // remaining = "ClientNode/eth0"
   //
   // The start of the search is always at the root of the name space.
@@ -639,7 +637,7 @@
       if (offset == std::string::npos)
         {
           //
-          // There are no remaining slashes so this is the last segment of the 
+          // There are no remaining slashes so this is the last segment of the
           // specified name.  We're done when we find it
           //
           std::map<std::string, NameNode *>::iterator i = node->m_nameMap.find (remaining);
@@ -657,7 +655,7 @@
       else
         {
           //
-          // There are more slashes so this is an intermediate segment of the 
+          // There are more slashes so this is an intermediate segment of the
           // specified name.  We need to "recurse" when we find this segment.
           //
           offset = remaining.find ("/");
diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/src/core/model/non-copyable.h ns-3.31/src/core/model/non-copyable.h
--- ns-3.30.1/src/core/model/non-copyable.h	2019-08-12 16:30:34.000000000 -0700
+++ ns-3.31/src/core/model/non-copyable.h	2020-06-27 17:38:30.000000000 -0700
@@ -55,9 +55,11 @@
 {
 protected:
   /** Constructor. */
-  NonCopyable () {}
+  NonCopyable ()
+  {}
   /** Destructor. */
-  ~NonCopyable () {}
+  ~NonCopyable ()
+  {}
 
 private:
   /** Copy constructor.  Private, so not copyable. */
@@ -68,8 +70,8 @@
    * \return The unmodified copy.
    */
   NonCopyable & operator = (const NonCopyable &other);
-}; 
+};
 
-} // namespace ns3 
+} // namespace ns3
 
 #endif /* NS3_NON_COPYABLE_H */
diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/src/core/model/nstime.h ns-3.31/src/core/model/nstime.h
--- ns-3.30.1/src/core/model/nstime.h	2019-08-12 16:30:34.000000000 -0700
+++ ns-3.31/src/core/model/nstime.h	2020-06-27 17:38:30.000000000 -0700
@@ -41,7 +41,7 @@
 namespace ns3 {
 
 class TimeWithUnit;
-  
+
 /**
  * \ingroup core
  * \defgroup time Virtual Time
@@ -144,7 +144,7 @@
    *
    * \param [in] o Time to copy
    */
-  inline Time(const Time & o)
+  inline Time (const Time & o)
     : m_data (o.m_data)
   {
     if (g_markingTimes)
@@ -181,7 +181,7 @@
   {
     if (g_markingTimes)
       {
-	Mark (this);
+        Mark (this);
       }
   }
   explicit inline Time (int v)
@@ -189,7 +189,7 @@
   {
     if (g_markingTimes)
       {
-	Mark (this);
+        Mark (this);
       }
   }
   explicit inline Time (long int v)
@@ -197,7 +197,7 @@
   {
     if (g_markingTimes)
       {
-	Mark (this);
+        Mark (this);
       }
   }
   explicit inline Time (long long int v)
@@ -205,7 +205,7 @@
   {
     if (g_markingTimes)
       {
-	Mark (this);
+        Mark (this);
       }
   }
   explicit inline Time (unsigned int v)
@@ -213,7 +213,7 @@
   {
     if (g_markingTimes)
       {
-	Mark (this);
+        Mark (this);
       }
   }
   explicit inline Time (unsigned long int v)
@@ -221,7 +221,7 @@
   {
     if (g_markingTimes)
       {
-	Mark (this);
+        Mark (this);
       }
   }
   explicit inline Time (unsigned long long int v)
@@ -229,7 +229,7 @@
   {
     if (g_markingTimes)
       {
-	Mark (this);
+        Mark (this);
       }
   }
   explicit inline Time (const int64x64_t & v)
@@ -237,11 +237,11 @@
   {
     if (g_markingTimes)
       {
-	Mark (this);
+        Mark (this);
       }
   }
   /**@}*/
-  
+
   /**
    * \brief Construct Time object from common time expressions like "1ms"
    *
@@ -264,12 +264,18 @@
    */
   explicit Time (const std::string & s);
 
-  /** Minimum representable Time */
+  /**
+   * Minimum representable Time
+   * \returns the minimum representable Time.
+   */
   static Time Min ()
   {
     return Time (std::numeric_limits<int64_t>::min ());
   }
-  /** Maximum representable Time */
+  /**
+   * Maximum representable Time
+   * \returns the maximum representable Time.
+   */
   static Time Max ()
   {
     return Time (std::numeric_limits<int64_t>::max ());
@@ -310,7 +316,7 @@
     return m_data > 0;
   }
   /**
-   *  Compare \p this to another Time
+   *  Compare \pname{this} to another Time
    *
    *  \param [in] o The other Time
    *  \return -1,0,+1 if `this < o`, `this == o`, or `this > o`
@@ -416,12 +422,12 @@
    */
   static enum Unit GetResolution (void);
 
-  
+
   /**
    *  Create a Time in the current unit.
    *
    *  \param [in] value The value of the new Time.
-   *  \return A Time with \p value in the current time unit.
+   *  \return A Time with \pname{value} in the current time unit.
    */
   inline static Time From (const int64x64_t & value)
   {
@@ -434,11 +440,11 @@
    * @{
    */
   /**
-   *  Create a Time equal to \p value  in unit \c unit
+   *  Create a Time equal to \pname{value}  in unit \c unit
    *
    *  \param [in] value The new Time value, expressed in \c unit
-   *  \param [in] unit The unit of \p value
-   *  \return The Time representing \p value in \c unit
+   *  \param [in] unit The unit of \pname{value}
+   *  \return The Time representing \pname{value} in \c unit
    */
   inline static Time FromInteger (uint64_t value, enum Unit unit)
   {
@@ -486,7 +492,7 @@
    *  Get the Time value expressed in a particular unit.
    *
    *  \param [in] unit The desired unit
-   *  \return The Time expressed in \p unit
+   *  \return The Time expressed in \pname{unit}
    */
   inline int64_t ToInteger (enum Unit unit) const
   {
@@ -522,14 +528,6 @@
   }
   /**@}*/
 
-  
-  /** Cast to int64x64_t */
-  inline operator int64x64_t () const
-  {
-    return int64x64_t (m_data);
-  }
-
-  
   /**
    * Attach a unit to a Time, to facilitate output in a specific unit.
    *
@@ -574,20 +572,20 @@
    *
    * \return A pointer to the current Resolution
    */
-  static inline struct Resolution *PeekResolution (void)
+  static inline struct Resolution * PeekResolution (void)
   {
     static struct Time::Resolution resolution = SetDefaultNsResolution ();
-    return & resolution;
+    return &resolution;
   }
   /**
-   *  Get the Information record for \p timeUnit for the current Resolution
+   *  Get the Information record for \pname{timeUnit} for the current Resolution
    *
    *  \param [in] timeUnit The Unit to get Information for
-   *  \return The Information for \p timeUnit
+   *  \return The Information for \pname{timeUnit}
    */
-  static inline struct Information *PeekInformation (enum Unit timeUnit)
+  static inline struct Information * PeekInformation (enum Unit timeUnit)
   {
-    return & (PeekResolution ()->info[timeUnit]);
+    return &(PeekResolution ()->info[timeUnit]);
   }
 
   /**
@@ -641,6 +639,7 @@
    *  includes nstime.h.
    */
   static MarkedTimes * g_markingTimes;
+
 public:
   /**
    *  Function to force static initialization of Time.
@@ -648,9 +647,10 @@
    * \return \c true on the first call
    */
   static bool StaticInit ();
+
 private:
 
-  /* Friend the Simulator class so it can call the private function
+  /** Friend the Simulator class so it can call the private function
      ClearMarkedTimes ()
   */
   friend class Simulator;
@@ -733,15 +733,15 @@
 };  // class Time
 
 namespace TracedValueCallback {
-  
-  /**
+
+/**
    * TracedValue callback signature for Time
    *
    * \param [in] oldValue Original value of the traced variable
    * \param [in] newValue New value of the traced variable
    */
-  typedef void (* Time)(Time oldValue, Time newValue);
-  
+typedef void (* Time)(Time oldValue, Time newValue);
+
 }  // namespace TracedValueCallback
 
 /// Force static initialization of Time
@@ -964,7 +964,7 @@
   lhs.m_data -= rhs.m_data;
   return lhs;
 }
-  
+
 inline Time Abs (const Time & time)
 {
   return Time ((time.m_data < 0) ? -time.m_data : time.m_data);
@@ -981,7 +981,7 @@
 /**
  * \ingroup time
  * \brief Time output streamer.
- * 
+ *
  * Generates output such as "3.96ns".  Times are printed with the
  * following format flags (independent of the stream flags):
  *   - `showpos`
@@ -1108,7 +1108,7 @@
   return Time::From (value, Time::FS);
 }
 /**@}*/
-  
+
 
 /**
  *  \ingroup time
@@ -1125,7 +1125,7 @@
 ATTRIBUTE_ACCESSOR_DEFINE (Time);
 
 /**
- *  \ingroup time
+ *  \ingroup attribute_time
  *  \brief Helper to make a Time checker with bounded range.
  *  Both limits are inclusive
  *
@@ -1136,7 +1136,7 @@
 Ptr<const AttributeChecker> MakeTimeChecker (const Time min, const Time max);
 
 /**
- * \ingroup time
+ * \ingroup attribute_time
  * \brief Helper to make an unbounded Time checker.
  *
  * \return The AttributeChecker
@@ -1148,7 +1148,7 @@
 }
 
 /**
- * \ingroup time
+ * \ingroup attribute_time
  * \brief Helper to make a Time checker with a lower bound.
  *
  *  \param [in] min Minimum allowed value.
@@ -1176,7 +1176,7 @@
   TimeWithUnit (const Time time, const Time::Unit unit)
     : m_time (time),
       m_unit (unit)
-  { };
+  { }
 
 private:
   Time m_time;        //!< The time
diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/src/core/model/object-base.cc ns-3.31/src/core/model/object-base.cc
--- ns-3.30.1/src/core/model/object-base.cc	2019-08-12 16:30:34.000000000 -0700
+++ ns-3.31/src/core/model/object-base.cc	2020-06-27 17:38:30.000000000 -0700
@@ -23,9 +23,9 @@
 #include "attribute-construction-list.h"
 #include "string.h"
 #include "ns3/core-config.h"
-#ifdef HAVE_STDLIB_H
-#include <cstdlib>
-#endif
+
+#include <cstdlib>  // getenv
+#include <cstring>  // strlen
 
 /**
  * \file
@@ -57,7 +57,7 @@
   return tid;
 }
 
-TypeId 
+TypeId
 ObjectBase::GetTypeId (void)
 {
   NS_LOG_FUNCTION_NOARGS ();
@@ -65,7 +65,7 @@
   return tid;
 }
 
-ObjectBase::~ObjectBase () 
+ObjectBase::~ObjectBase ()
 {
   NS_LOG_FUNCTION (this);
 }
@@ -82,34 +82,35 @@
   // loop over the inheritance tree back to the Object base class.
   NS_LOG_FUNCTION (this << &attributes);
   TypeId tid = GetInstanceTypeId ();
-  do {
+  do
+    {
       // loop over all attributes in object type
-      NS_LOG_DEBUG ("construct tid="<<tid.GetName ()<<", params="<<tid.GetAttributeN ());
+      NS_LOG_DEBUG ("construct tid=" << tid.GetName () << ", params=" << tid.GetAttributeN ());
       for (uint32_t i = 0; i < tid.GetAttributeN (); i++)
         {
-          struct TypeId::AttributeInformation info = tid.GetAttribute(i);
-          NS_LOG_DEBUG ("try to construct \""<< tid.GetName ()<<"::"<<
-                        info.name <<"\"");
+          struct TypeId::AttributeInformation info = tid.GetAttribute (i);
+          NS_LOG_DEBUG ("try to construct \"" << tid.GetName () << "::" <<
+                        info.name << "\"");
           // is this attribute stored in this AttributeConstructionList instance ?
-          Ptr<AttributeValue> value = attributes.Find(info.checker);
+          Ptr<AttributeValue> value = attributes.Find (info.checker);
           // See if this attribute should not be set here in the
           // constructor.
           if (!(info.flags & TypeId::ATTR_CONSTRUCT))
             {
-              // Handle this attribute if it should not be 
+              // Handle this attribute if it should not be
               // set here.
               if (value == 0)
                 {
                   // Skip this attribute if it's not in the
                   // AttributeConstructionList.
                   continue;
-                }              
+                }
               else
                 {
                   // This is an error because this attribute is not
                   // settable in its constructor but is present in
                   // the AttributeConstructionList.
-                  NS_FATAL_ERROR ("Attribute name="<<info.name<<" tid="<<tid.GetName () << ": initial value cannot be set using attributes");
+                  NS_FATAL_ERROR ("Attribute name=" << info.name << " tid=" << tid.GetName () << ": initial value cannot be set using attributes");
                 }
             }
 
@@ -118,35 +119,34 @@
               // We have a matching attribute value.
               if (DoSet (info.accessor, info.checker, *value))
                 {
-                  NS_LOG_DEBUG ("construct \""<< tid.GetName ()<<"::"<<
-                                info.name<<"\"");
+                  NS_LOG_DEBUG ("construct \"" << tid.GetName () << "::" <<
+                                info.name << "\"");
                   continue;
                 }
             }
 
-#ifdef HAVE_GETENV
           // No matching attribute value so we try to look at the env var.
-          char *envVar = getenv ("NS_ATTRIBUTE_DEFAULT");
-          if (envVar != 0)
+          const char *envVar = getenv ("NS_ATTRIBUTE_DEFAULT");
+          if (envVar != 0 && std::strlen (envVar) > 0)
             {
-              std::string env = std::string (envVar);
+              std::string env = envVar;
               std::string::size_type cur = 0;
               std::string::size_type next = 0;
               while (next != std::string::npos)
                 {
                   next = env.find (";", cur);
-                  std::string tmp = std::string (env, cur, next-cur);
+                  std::string tmp = std::string (env, cur, next - cur);
                   std::string::size_type equal = tmp.find ("=");
                   if (equal != std::string::npos)
                     {
                       std::string name = tmp.substr (0, equal);
-                      std::string envval = tmp.substr (equal+1, tmp.size () - equal - 1);
+                      std::string envval = tmp.substr (equal + 1, tmp.size () - equal - 1);
                       if (name == tid.GetAttributeFullName (i))
                         {
                           if (DoSet (info.accessor, info.checker, StringValue (envval)))
                             {
-                              NS_LOG_DEBUG ("construct \""<< tid.GetName ()<<"::"<<
-                                            info.name <<"\" from env var");
+                              NS_LOG_DEBUG ("construct \"" << tid.GetName () << "::" <<
+                                            info.name << "\" from env var");
                               break;
                             }
                         }
@@ -154,20 +154,20 @@
                   cur = next + 1;
                 }
             }
-#endif /* HAVE_GETENV */
 
           // No matching attribute value so we try to set the default value.
           DoSet (info.accessor, info.checker, *info.initialValue);
-          NS_LOG_DEBUG ("construct \""<< tid.GetName ()<<"::"<<
-                        info.name <<"\" from initial value.");
+          NS_LOG_DEBUG ("construct \"" << tid.GetName () << "::" <<
+                        info.name << "\" from initial value.");
         }
       tid = tid.GetParent ();
-    } while (tid != ObjectBase::GetTypeId ());
+    }
+  while (tid != ObjectBase::GetTypeId ());
   NotifyConstructionCompleted ();
 }
 
 bool
-ObjectBase::DoSet (Ptr<const AttributeAccessor> accessor, 
+ObjectBase::DoSet (Ptr<const AttributeAccessor> accessor,
                    Ptr<const AttributeChecker> checker,
                    const AttributeValue &value)
 {
@@ -189,19 +189,19 @@
   TypeId tid = GetInstanceTypeId ();
   if (!tid.LookupAttributeByName (name, &info))
     {
-      NS_FATAL_ERROR ("Attribute name="<<name<<" does not exist for this object: tid="<<tid.GetName ());
+      NS_FATAL_ERROR ("Attribute name=" << name << " does not exist for this object: tid=" << tid.GetName ());
     }
-  if (!(info.flags & TypeId::ATTR_SET) ||
-      !info.accessor->HasSetter ())
+  if (!(info.flags & TypeId::ATTR_SET)
+      || !info.accessor->HasSetter ())
     {
-      NS_FATAL_ERROR ("Attribute name="<<name<<" is not settable for this object: tid="<<tid.GetName ());
+      NS_FATAL_ERROR ("Attribute name=" << name << " is not settable for this object: tid=" << tid.GetName ());
     }
   if (!DoSet (info.accessor, info.checker, value))
     {
-      NS_FATAL_ERROR ("Attribute name="<<name<<" could not be set for this object: tid="<<tid.GetName ());
+      NS_FATAL_ERROR ("Attribute name=" << name << " could not be set for this object: tid=" << tid.GetName ());
     }
 }
-bool 
+bool
 ObjectBase::SetAttributeFailSafe (std::string name, const AttributeValue &value)
 {
   NS_LOG_FUNCTION (this << name << &value);
@@ -211,8 +211,8 @@
     {
       return false;
     }
-  if (!(info.flags & TypeId::ATTR_SET) ||
-      !info.accessor->HasSetter ())
+  if (!(info.flags & TypeId::ATTR_SET)
+      || !info.accessor->HasSetter ())
     {
       return false;
     }
@@ -227,12 +227,12 @@
   TypeId tid = GetInstanceTypeId ();
   if (!tid.LookupAttributeByName (name, &info))
     {
-      NS_FATAL_ERROR ("Attribute name="<<name<<" does not exist for this object: tid="<<tid.GetName ());
+      NS_FATAL_ERROR ("Attribute name=" << name << " does not exist for this object: tid=" << tid.GetName ());
     }
-  if (!(info.flags & TypeId::ATTR_GET) || 
-      !info.accessor->HasGetter ())
+  if (!(info.flags & TypeId::ATTR_GET)
+      || !info.accessor->HasGetter ())
     {
-      NS_FATAL_ERROR ("Attribute name="<<name<<" is not gettable for this object: tid="<<tid.GetName ());
+      NS_FATAL_ERROR ("Attribute name=" << name << " is not gettable for this object: tid=" << tid.GetName ());
     }
   bool ok = info.accessor->Get (this, value);
   if (ok)
@@ -242,13 +242,13 @@
   StringValue *str = dynamic_cast<StringValue *> (&value);
   if (str == 0)
     {
-      NS_FATAL_ERROR ("Attribute name="<<name<<" tid="<<tid.GetName () << ": input value is not a string");
+      NS_FATAL_ERROR ("Attribute name=" << name << " tid=" << tid.GetName () << ": input value is not a string");
     }
   Ptr<AttributeValue> v = info.checker->Create ();
   ok = info.accessor->Get (this, *PeekPointer (v));
   if (!ok)
     {
-      NS_FATAL_ERROR ("Attribute name="<<name<<" tid="<<tid.GetName () << ": could not get value");
+      NS_FATAL_ERROR ("Attribute name=" << name << " tid=" << tid.GetName () << ": could not get value");
     }
   str->Set (v->SerializeToString (info.checker));
 }
@@ -264,8 +264,8 @@
     {
       return false;
     }
-  if (!(info.flags & TypeId::ATTR_GET) ||
-      !info.accessor->HasGetter ())
+  if (!(info.flags & TypeId::ATTR_GET)
+      || !info.accessor->HasGetter ())
     {
       return false;
     }
@@ -289,7 +289,7 @@
   return true;
 }
 
-bool 
+bool
 ObjectBase::TraceConnectWithoutContext (std::string name, const CallbackBase &cb)
 {
   NS_LOG_FUNCTION (this << name << &cb);
@@ -302,7 +302,7 @@
   bool ok = accessor->ConnectWithoutContext (this, cb);
   return ok;
 }
-bool 
+bool
 ObjectBase::TraceConnect (std::string name, std::string context, const CallbackBase &cb)
 {
   NS_LOG_FUNCTION (this << name << context << &cb);
@@ -315,7 +315,7 @@
   bool ok = accessor->Connect (this, context, cb);
   return ok;
 }
-bool 
+bool
 ObjectBase::TraceDisconnectWithoutContext (std::string name, const CallbackBase &cb)
 {
   NS_LOG_FUNCTION (this << name << &cb);
@@ -328,7 +328,7 @@
   bool ok = accessor->DisconnectWithoutContext (this, cb);
   return ok;
 }
-bool 
+bool
 ObjectBase::TraceDisconnect (std::string name, std::string context, const CallbackBase &cb)
 {
   NS_LOG_FUNCTION (this << name << context << &cb);
diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/src/core/model/object-base.h ns-3.31/src/core/model/object-base.h
--- ns-3.30.1/src/core/model/object-base.h	2019-08-12 16:30:34.000000000 -0700
+++ ns-3.31/src/core/model/object-base.h	2020-06-27 17:38:30.000000000 -0700
@@ -152,7 +152,7 @@
    *   - The attribute doesn't exist in this Object.
    *   - The attribute can't be set (no Setter).
    *   - The attribute couldn't be deserialized from the AttributeValue.
-   * 
+   *
    * \param [in] name The name of the attribute to set.
    * \param [in] value The name of the attribute to set.
    */
@@ -165,7 +165,7 @@
    *
    * \param [in] name The name of the attribute to set.
    * \param [in] value The value to set it to.
-   * \return \c true if the requested attribute exists and could be set, 
+   * \return \c true if the requested attribute exists and could be set,
    *         \c false otherwise.
    */
   bool SetAttributeFailSafe (std::string name, const AttributeValue &value);
@@ -245,40 +245,40 @@
   /**
    * Notifier called once the ObjectBase is fully constructed.
    *
-   * This method is invoked once all member attributes have been 
+   * This method is invoked once all member attributes have been
    * initialized. Subclasses can override this method to be notified
    * of this event but if they do this, they must chain up to their
    * parent's NotifyConstructionCompleted method.
    */
   virtual void NotifyConstructionCompleted (void);
   /**
-   * Complete construction of ObjectBase; invoked by derived classes. 
+   * Complete construction of ObjectBase; invoked by derived classes.
    *
-   * Invoked from subclasses to initialize all of their 
+   * Invoked from subclasses to initialize all of their
    * attribute members. This method will typically be invoked
    * automatically from ns3::CreateObject if your class derives
    * from ns3::Object. If you derive from ns3::ObjectBase directly,
    * you should make sure that you invoke this method from
    * your most-derived constructor.
    *
-   * \param [in] attributes The attribute values used to initialize 
+   * \param [in] attributes The attribute values used to initialize
    *        the member variables of this object's instance.
    */
   void ConstructSelf (const AttributeConstructionList &attributes);
 
 private:
   /**
-   * Attempt to set the value referenced by the accessor \p spec
-   * to a valid value according to the \c checker, based on \p value.
+   * Attempt to set the value referenced by the accessor \pname{spec}
+   * to a valid value according to the \c checker, based on \pname{value}.
    *
    * \param [in] spec The accessor for the storage location.
    * \param [in] checker The checker to use in validating the value.
    * \param [in] value The value to attempt to store.
-   * \returns \c true if the \c value could be validated by the \p checker
+   * \returns \c true if the \c value could be validated by the \pname{checker}
    *          and written to the storage location.
    */
   bool DoSet (Ptr<const AttributeAccessor> spec,
-              Ptr<const AttributeChecker> checker, 
+              Ptr<const AttributeChecker> checker,
               const AttributeValue &value);
 
 };
